com.aliyun.svideosdk.common.struct.effect

## Class BlurBackground

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.project.VideoEffect
    - - com.aliyun.svideosdk.common.struct.effect.BlurBackground

-     public class BlurBackground
      extends VideoEffect

  模糊背景特效

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlurBackground(int streamId, int id, long startTimeMills, long durationMills, float blurRadius)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `float` | `getBlurRadius()` 获取模糊半径 范围是[0，29]
    `void` | `setBlurRadius(float blurRadius)` 设置模糊半径 范围是[0，29]

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.VideoEffect

      `getDuration, getId, getIn, getOut, getStartTime, getStreamId, setDuration, setId, setIn, setOut, setStartTime, setStreamId`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlurBackground

          public BlurBackground(int streamId,
                                int id,
                                long startTimeMills,
                                long durationMills,
                                float blurRadius)

  - ### Method Detail

    - #### getBlurRadius

          public float getBlurRadius()

      获取模糊半径 范围是[0，29]
      Returns:
        模糊半径

    - #### setBlurRadius

          public void setBlurRadius(float blurRadius)

      设置模糊半径 范围是[0，29]
      Parameters:
        `blurRadius` - 模糊半径

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`